> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update user password

> Normal users can update only their own password; admin users can change any user password.



## OpenAPI

````yaml /api-reference/5.9/fusion-api-api-docs.json patch /users/{id}
openapi: 3.0.1
info:
  title: Fusion Proxy API
  description: Manage Fusion users, roles, realms, access tokens, and API keys.
  contact:
    name: Lucidworks
    url: www.lucidworks.com
    email: support@lucidworks.com
  license:
    name: License of API
    url: https://lucidworks.com/legal/developer-license-agreement/
  version: '5.9'
servers:
  - url: https://{FUSION HOST}/api
    description: Fusion
    variables:
      FUSION HOST:
        default: FUSION_HOST
        description: Your environment host.
security: []
tags:
  - name: Realm management
    description: >-
      Endpoints for creating, configuring, and managing authentication realms
      such as LDAP, SAML, OIDC, and others.
  - name: User management
    description: >-
      Endpoints for creating, updating, deleting, and retrieving Fusion users
      and their associated metadata.
  - name: Suggestions
    description: >-
      Endpoints that provide query suggestions or autocomplete results to
      improve search experiences.
  - name: API key management
    description: >-
      Endpoints for managing API keys used to authenticate Fusion services and
      integrations.
  - name: OAuth 2.0
    description: >-
      Endpoints that support OAuth 2.0 authentication, including token issuance
      and validation.
  - name: Role management
    description: >-
      Endpoints for creating and managing user roles and their associated
      permissions within Fusion.
  - name: System status
    description: >-
      Endpoints for retrieving basic system health, configuration, and
      authentication status.
externalDocs:
  description: Lucidworks Documentation
  url: https://doc.lucidworks.com/
paths:
  /users/{id}:
    patch:
      tags:
        - User management
      summary: Update user password
      description: >-
        Normal users can update only their own password; admin users can change
        any user password.
      operationId: updatePassword
      parameters:
        - name: id
          description: >-
            The user ID. Note that this is different than the username.  Use
            `GET /users` to get the list of user IDs.
          example: d8e2f424-73b4-4ef9-a789-497bc56e7975
          required: true
          in: path
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdatePassword_PublicView'
        required: true
      responses:
        '200':
          description: OK
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/User_PublicView'
        '403':
          description: User is not allowed to make a change
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/User_PublicView'
        '404':
          description: User cannot be found
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/User_PublicView'
components:
  schemas:
    UpdatePassword_PublicView:
      required:
        - password
        - passwordConfirm
      type: object
      properties:
        currentPassword:
          type: object
          properties:
            empty:
              type: boolean
        password:
          type: object
          properties:
            empty:
              type: boolean
        passwordConfirm:
          type: object
          properties:
            empty:
              type: boolean
        id:
          type: string
    User_PublicView:
      type: object
      properties:
        id:
          type: string
          example: fe0885f2-8885-4c46-a3ea-8e5d0041c293
        username:
          type: string
          example: admin
        realmName:
          type: string
          example: ldap-internal
        createdAt:
          type: string
          format: date-time
          example: '2025-09-23T17:48:07Z'
        updatedAt:
          type: string
          format: date-time
          example: '2025-10-31T12:28:04Z'
        roleNames:
          type: array
          items:
            type: string
          description: Indicates which roles are dynamically applied to users in the realm.
          example:
            - search
            - developer
        timezone:
          type: string
          example: Pacific Time (US & Canada)
        permissions:
          type: array
          items:
            $ref: '#/components/schemas/GlobPermission_PublicView'
    GlobPermission_PublicView:
      type: object
      properties:
        methods:
          uniqueItems: true
          type: array
          items:
            type: string
            enum:
              - GET
              - POST
              - PUT
              - DELETE
              - HEAD
              - PATCH
              - OPTIONS
        path:
          type: string
          example: /
        params:
          type: object
          additionalProperties:
            type: array
            items:
              type: string

````